package com.ann.demo.controller;

import com.ann.demo.entity.constant.InterfaceName;
import com.ann.demo.service.AnalysisService;
import com.ann.demo.service.CollectCheckService;
import com.ann.demo.service.JAXDynamicClientFactory;
import org.apache.cxf.endpoint.Client;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.Objects;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/11 18:47
 */
@Controller
@RequestMapping("/")
public class TestController {

    @Autowired
    AnalysisService analysisService;

    @Resource
    private CollectCheckService collectCheckService;

    @RequestMapping("/demo")
    public String aa() {
        return "demo";
    }

    /*@ResponseBody*/
    @RequestMapping("/haha")
    public String cc(InterfaceForm interfaceForm) {
        JAXDynamicClientFactory dcf = JAXDynamicClientFactory.newInstance();
        Client client = dcf.createClient(interfaceForm.getUrl());
        Object[] objects = new Object[0];
        try {
            // invoke("方法名",参数1,参数2,参数3....);
            if (Objects.equals(interfaceForm.getInterfaceName(), "ReceiveDict") ||
                    Objects.equals(interfaceForm.getInterfaceName(), "InpSummary") ||
                    Objects.equals(interfaceForm.getInterfaceName(), "handNumbnessReport") ||
                    Objects.equals(interfaceForm.getInterfaceName(), InterfaceName.ICU_REPORT) ||
                    Objects.equals(interfaceForm.getInterfaceName(), InterfaceName.BLOODAPPLY_REPORT) ||
                    Objects.equals(interfaceForm.getInterfaceName(), InterfaceName.DOCTOR_DATA) ||
                    Objects.equals(interfaceForm.getInterfaceName(), InterfaceName.NURSE_DATA)) {
                objects = client.invoke(interfaceForm.getInterfaceName(), interfaceForm.getContent());
            } else {
                objects = client.invoke(interfaceForm.getInterfaceName(), interfaceForm.getParameter(), interfaceForm.getContent());
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return "redirect:/demo";
    }

    @RequestMapping("/demo1")
    @ResponseBody
    public String demo1() {
        collectCheckService.downFileWithCheck("123","100041535327","GZ002WWRQAZEUXP","http://kmcs.kingmed.com.cn:8890/km-platform-web/restful/fileDownload/0df10c5e-af85-4acd-b2df-c1628f77b59c@88f14792ee4a31129fa721f85e2068bb","123");
        return "demo1";
    }
}
