package com.ann.demo.entity.interfaceEntity;

import lombok.Data;

/**
 * @Description 超声报告
 * @Date 2019/6/24 21:58
 * @Created by  ljx
 */

public class UltrasonicReport {

    /*
     *  文档流水号
     * */
    private String id;

    /*
     *  住院号标识号
     * */
    private String inpNo;

    /*
     *  检查报告单号
     * */
    private String checkReportId;

    /**
     * 电子申请单号
     */
    private String applyId;

    /**
     * 就诊次数
     */
    private String visitId;

    /**
     * 患者姓名
     */
    private String name;


    /*检查报告医师（文档创作者）*/

    /**
     * 检查报告日期
     */
    private String authorReportTime;


    /**
     * 医师标识
     */
    private String assignedAuthorId;

    /**
     * 医师姓名
     */
    private String assignedPersonName;


    /* 审核医师签名 */

    /**
     * 审核医师Id
     */
    private String examineId;

    /**
     * 审核医师姓名
     */
    private String examineAssignedPersonName;

    /**
     * 检查报告地址
     */
    private String reportAddress;

    @Override
    public String toString() {
        return "UltrasonicReport{" +
                "id='" + id + '\'' +
                ", inpNo='" + inpNo + '\'' +
                ", checkReportId='" + checkReportId + '\'' +
                ", applyId='" + applyId + '\'' +
                ", visitId='" + visitId + '\'' +
                ", name='" + name + '\'' +
                ", authorReportTime='" + authorReportTime + '\'' +
                ", assignedAuthorId='" + assignedAuthorId + '\'' +
                ", assignedPersonName='" + assignedPersonName + '\'' +
                ", examineId='" + examineId + '\'' +
                ", examineAssignedPersonName='" + examineAssignedPersonName + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo;
    }

    public String getCheckReportId() {
        return checkReportId;
    }

    public void setCheckReportId(String checkReportId) {
        this.checkReportId = checkReportId;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAuthorReportTime() {
        return authorReportTime;
    }

    public void setAuthorReportTime(String authorReportTime) {
        this.authorReportTime = authorReportTime;
    }

    public String getAssignedAuthorId() {
        return assignedAuthorId;
    }

    public void setAssignedAuthorId(String assignedAuthorId) {
        this.assignedAuthorId = assignedAuthorId;
    }

    public String getAssignedPersonName() {
        return assignedPersonName;
    }

    public void setAssignedPersonName(String assignedPersonName) {
        this.assignedPersonName = assignedPersonName;
    }

    public String getExamineId() {
        return examineId;
    }

    public void setExamineId(String examineId) {
        this.examineId = examineId;
    }

    public String getExamineAssignedPersonName() {
        return examineAssignedPersonName;
    }

    public void setExamineAssignedPersonName(String examineAssignedPersonName) {
        this.examineAssignedPersonName = examineAssignedPersonName;
    }

    public String getReportAddress() {
        return reportAddress;
    }

    public void setReportAddress(String reportAddress) {
        this.reportAddress = reportAddress;
    }
}
