package com.ann.demo.entity.filing.dto;

import lombok.Data;

/**
 * @Description 患者清单的关键信息
 * @Date 2019/7/9 16:36
 * @Created by  ljx
 */
public class PatientMainDto {

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 就诊次数
     */
    private String visitId;

    /**
     * 拓展字段1
     */
    private String extendedField1;

    /**
     * 拓展字段2
     */
    private String extendedField2;

    /**
     * 拓展字段3
     */
    private String extendedField3;

    public PatientMainDto(String inpNo, String visitId) {
        this.inpNo = inpNo;
        this.visitId = visitId;
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getExtendedField1() {
        return extendedField1;
    }

    public void setExtendedField1(String extendedField1) {
        this.extendedField1 = extendedField1;
    }

    public String getExtendedField2() {
        return extendedField2;
    }

    public void setExtendedField2(String extendedField2) {
        this.extendedField2 = extendedField2;
    }

    public String getExtendedField3() {
        return extendedField3;
    }

    public void setExtendedField3(String extendedField3) {
        this.extendedField3 = extendedField3;
    }
}
