package com.ann.demo.repository;

import com.ann.demo.entity.interfaceEntity.MessageLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description
 * @Date 2019/6/17 11:34
 * @Created by  ljx
 */
@Repository
public interface MessageRepository extends JpaRepository<MessageLog, Integer> {

    public Integer countByInputContentAndInterfaceName(String inputContent, String interfaceName);

    // 2019-12-26 15:58:36.107 2019-12-11 10:29:36.107
    @Query("select  o from  MessageLog o  where o.createTime > '2019-12-11 10:29:36.107' and o.endTime is null  ")
    public List<MessageLog> findAllHaha();

    @Query(nativeQuery = true,value = " select id from archive_master where (inp_No = ?1  ) and  (visit_id = ?2 ) and archiveState <> '作废' and is_valid = 0")
    public String getArchiveMasterId(String inpNo,String visitId);

}
